Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET /api/generations/
GET /api/generations/{taskId}
curl "$CUTAI_BASE_URL/api/generations/tsk_xxx" \ -H "Authorization: Bearer $CUTAI_API_KEY"
queued
submitted
completed
failed
{ "task": { "id": "tsk_xxx", "status": "completed", "assets": [ { "id": "ast_xxx", "publicUrl": "https://..." } ], "jobs": [ { "id": "job_xxx", "batchIndex": 1, "status": "completed", "creditCost": 20 } ] }, "billing": { "taskCreditCost": 40, "refundedCredits": 0, "netCreditCost": 40, "currentBalanceCredits": 960 } }
billing.currentBalanceCredits
refundedCredits
netCreditCost